from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class InteractiveSelectionResult(IntEnum):
    Cancelled = auto()
    Success = auto()
    ObtainedValue = auto()
    Pending = auto()
